# 52. Query: gerasterte Daten aus „SoilDataset“ abrufen

Abfrage, um griddierte Daten aus dem Rasterdatensatz zu erhalten, der mit "SoilDataset" zusammenhängt, als `GEOJSON`  mit Punkten oder `GEOTIFF`. Das properties-Attribut enthält alle Datensatzattribute pro Punkt.&#x20;

#### 1. Fordern Sie eine Datei zum Export an

{% hint style="danger" %}
Empfohlen wird, nur einen einzelnen Datensatz mit abzurufen `sourceDataUrl` pro Anfrage.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, und `MinusTwoPixels` sind verfügbar als ein `Puffer`.

`GEOJSON` und `GEOTIFF` sind als ein Format verfügbar.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Laden Sie die erzeugte Datei herunter

Nach erfolgreicher Vorbereitung der Datei kann sie mit folgendem Befehl heruntergeladen werden `curl` oder einem ähnlichen Verfahren heruntergeladen werden.

{% hint style="danger" %}
`sourceDataUrl` Link ist nur erreichbar für **60 Sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/52.-query-gerasterte-daten-aus-soildataset-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
